Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.vmplugin.v5
Class PluginDefaultGroovyMethods

    java.lang.Object
      org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport
          org.codehaus.groovy.vmplugin.v5.PluginDefaultGroovyMethods

    class PluginDefaultGroovyMethods
    extends DefaultGroovyMethodsSupport

This class defines new Java 5 specific groovy methods which extend the normal JDK classes inside the Groovy environment. Static methods are used with the first parameter the destination class.

Constructor Summary
`PluginDefaultGroovyMethods()`

Method Summary
`static StringBuilder` | `leftShift(StringBuilder self, Object value)` Overloads the left shift operator to provide an easy way to append multiple objects as string representations to a StringBuilder (Only works with JDK1.5 or later).
`static Object` | `next(Enum self)` This method is called by the ++ operator for enums.
`static String` | `plus(StringBuilder self, String value)` Appends a String to this StringBuilder (Only works with JDK1.5 or later).
`static Object` | `previous(Enum self)` This method is called by the -- operator for enums.
`static void` | `putAt(StringBuilder self, IntRange range, Object value)` Support the range subscript operator for StringBuilder (Only works with JDK1.5 or later).
`static void` | `putAt(StringBuilder self, EmptyRange range, Object value)` Support the range subscript operator for StringBuilder (Only works with JDK1.5 or later).
`static int` | `size(StringBuilder builder)` Standard Groovy size() method for StringBuilders (Only works with JDK1.5 or later).

Methods inherited from class DefaultGroovyMethodsSupport
cloneSimilarCollection, cloneSimilarMap, closeQuietly, closeWithWarning, createSimilarCollection, createSimilarCollection, createSimilarList, createSimilarMap, createSimilarOrDefaultCollection, createSimilarSet, normaliseIndex, sameType, subListBorders, subListBorders

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### PluginDefaultGroovyMethods

    PluginDefaultGroovyMethods()

Method Detail

### leftShift

    public static StringBuilder leftShift(StringBuilder self, Object value)

  Overloads the left shift operator to provide an easy way to append multiple objects as string representations to a StringBuilder (Only works with JDK1.5 or later).
  param:
    self a StringBuilder
  param:
    value a value to append
  return:
    the StringBuilder on which this operation was invoked

### next

    public static Object next(Enum self)

  This method is called by the ++ operator for enums. It will invoke Groovy's default next behaviour for enums do not have their own next method (Only works with JDK1.5 or later).
  param:
    self an Enum
  return:
    the next defined enum from the enum class

### plus

    public static String plus(StringBuilder self, String value)

  Appends a String to this StringBuilder (Only works with JDK1.5 or later).
  param:
    self a StringBuilder
  param:
    value a String
  return:
    a String

### previous

    public static Object previous(Enum self)

  This method is called by the -- operator for enums. It will invoke Groovy's default previous behaviour for enums that do not have their own previous method (Only works with JDK1.5 or later).
  param:
    self an Enum
  return:
    the previous defined enum from the enum class

### putAt

    public static void putAt(StringBuilder self, IntRange range, Object value)

  Support the range subscript operator for StringBuilder (Only works with JDK1.5 or later). Index values are treated as characters within the builder.
  param:
    self a StringBuilder
  param:
    range a Range
  param:
    value the object that's toString() will be inserted

### putAt

    public static void putAt(StringBuilder self, EmptyRange range, Object value)

  Support the range subscript operator for StringBuilder (Only works with JDK1.5 or later).
  param:
    self a StringBuilder
  param:
    range a Range
  param:
    value the object that's toString() will be inserted

### size

    public static int size(StringBuilder builder)

  Standard Groovy size() method for StringBuilders (Only works with JDK1.5 or later).
  param:
    builder a StringBuilder
  return:
    the length of the StringBuilder

Copyright © 2003-2009 The Codehaus. All rights reserved.